/*
* Template-File src/main/takatuka/templates/EntityAbstractSearch.vm
*/
package de.ivu.elect.business.person.boundary;

import java.util.List;

import javax.inject.Inject;

import de.ivu.elect.business.person.entity.PersonendatenDateiExport;
import de.ivu.elect.jee.entity.EagerLoadingCollector;
import de.ivu.elect.jee.presentation.search.WildcardConverter;

public abstract class AbstractPersonendatenDateiExportSearch {

  @Inject
  protected transient PersonendatenDateiExportExtendedDAO dao;

  public AbstractPersonendatenDateiExportSearch() {
    super();
  }

  public List<PersonendatenDateiExport> getSearchResult(PersonendatenDateiExportSearchParameters searchParameters, EagerLoadingCollector<PersonendatenDateiExport> eagerLoadingCollector) {
    return eagerLoadingCollector.eagerLoad(querySearchResult(searchParameters));
  }

  protected abstract List<PersonendatenDateiExport> querySearchResult(PersonendatenDateiExportSearchParameters searchParameters);

  protected String convertSearchPattern(String patternInput) {
    return new WildcardConverter().addAndConvertToJpqlLikeExpression(patternInput);
  }
}
